POST Create Runtime Report Job
URL: /runtimeReportJob/create
Accessible by: Utility and management accounts only.
Creates a new runtime report job to be processed. Reports can only be processed for thermostats associated with the user carrying out the request. If a user's queue limit has been reached, please either wait for the current job to be processed or cancel it and create a new job.
Request Properties
| Property | Version | Type | Required | Description |
|---|---|---|---|---|
| selection | 1 | Selection | Yes | The selection criteria. Must have selectionType = 'thermostats' or 'managementSet'. |
| startDate | 1 | Date | Yes | The report start date in device time zone. |
| endDate | 1 | Date | Yes | The report end date in device time zone. |
| columns | 1 | String | Yes | A CSV string of column names. See Columns. No spaces in CSV. |
| includeSensors | 1 | Boolean | No | Whether to include sensor runtime report data for those thermostats which have it. Default: false. |
Response Properties
| Property | Version | Type | Description |
|---|---|---|---|
| jobId | 1 | String | The generated id for the created runtime report job. |
| jobStatus | 1 | String | The status of the created runtime report job. See status field of ReportJob . |
| status | 1 | Status | The api response code. |
Example Request:
Request Body
NOTE: Request body is not encoded for example purposes.
HEADERS: Content-Type: application/json;charset=UTF-8 Authorization: Bearer Rc7JE8P7XUgSCPogLOx2VLMfITqQQrjg REQUEST: POST https://api.ecobee.com/1/runtimeReportJob/create
The pretty formatted body of the request is:
{
"selection":{
"selectionType":"thermostats",
"selectionMatch":"123456789012"
},
"startDate":"2016-07-01",
"endDate":"2016-10-01",
"columns":"zoneCalendarEvent,zoneHvacMode,zoneHeatTemp,zoneCoolTemp,zoneAveTemp,dmOffset"
}
Sample API Call
Show code sample in:
curl -s --request POST --data-urlencode @json.txt -H "Content-Type: application/json;charset=UTF-8" -H "Authorization: Bearer ACCESS_TOKEN" "https://api.ecobee.com/1/runtimeReportJob/create"
Example Response:
{
"jobId": 123,
"jobStatus": "queued",
"status": {
"code": 0,
"message": ""
}
}